%global python3_pkgversion 3.12
%global pypi_name jmespath

Name:           python%{python3_pkgversion}-%{pypi_name}-epel
Version:        1.0.1
Release:        1%{?dist}
Summary:        JSON Matching Expressions

License:        MIT
URL:            https://github.com/jmespath/jmespath.py
Source0:        %{url}/archive/%{version}/jmespath.py-%{version}.tar.gz
BuildArch:      noarch

%description
JMESPath allows you to declaratively specify how to extract elements from
a JSON document.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        JSON Matching Expressions

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

BuildRequires:  python%{python3_pkgversion}-pytest
%if %{undefined rhel}
BuildRequires:  python%{python3_pkgversion}-hypothesis
%endif

Obsoletes: python2-jmespath < 0.9.4-2

%description -n python%{python3_pkgversion}-%{pypi_name}
JMESPath allows you to declaratively specify how to extract elements from
a JSON document.

%prep
%setup -q -n jmespath.py-%{version}

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/jp.py{,-%{python3_version}}

%check
# RHEL does not have python%{python3_pkgversion}-hypothesis. Only one file in the upstream repo
# depends on hypothesis, so we can omit this dependency for RHEL.
%pytest %{?rhel:--ignore=extra/test_hypothesis.py}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE.txt
%{_bindir}/jp.py-%{python3_version}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu May 23 2024 Orion Poplawski - 1.0.1-1
- EPEL package for Python 3.12
